Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79986 - Init-script ignores DAEMON-variable
Summary: Init-script ignores DAEMON-variable
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-18 13:46 UTC by Andy Herrero
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-19 11:26:55 UTC


Attachments (Terms of Use)

Description Andy Herrero 2002-12-18 13:46:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; T312461)

Description of problem:
/etc/init.d/sendmail ignores the DAEMON-variable set 
in /etc/sysconfig/sendmail. It is hard-scripted to always
run with the "-bd" argument.

Red Hat 8.0:
---
daemon /usr/sbin/sendmail -bd \
       $([ -n "$QUEUE" ] && echo -q$QUEUE)
---

Snatched from RH7.0:
---
daemon /usr/sbin/sendmail $([ "$DAEMON" = yes ] && echo -bd) \
       $([ -n "$QUEUE" ] && echo -q$QUEUE)
---

I do not want the daemon-mode on this particular machine, thus I want only to 
flush the queue every now and then.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Set "DAEMON=no" in /etc/sysconfig/sendmail
2. # service sendmail restart
3. Verify that the daemon is listening to tcp/25 inspite of the config.
    

Additional info:

Comment 1 Miloslav Trmac 2002-12-18 17:38:42 UTC
Read the release notes and close this NOTABUG.

Comment 2 Andy Herrero 2002-12-19 11:26:55 UTC
OK. Sorry for bringing this up when it's documented.

Cheers!


Note You need to log in before you can comment on or make changes to this bug.